{% if data.desktopBig or data.desktop or data.tablet %}
  {% set attr = 'data-srcset' %}
  {% if noLazy %}
    {% set attr = 'srcset' %}
  {% endif %}
  <picture class="picture {{ class|default('') }}">
    {% if data.desktopBig %}
      <source {{ attr }}="{{ data.desktopBig }}" media="(min-width: 1920px)">
    {% endif %}
    {% if data.desktop %}
      <source {{ attr }}="{{ data.desktop }}" media="(min-width: 1280px)">
    {% endif %}
    {% if data.tablet %}
      <source {{ attr }}="{{ data.tablet }}" media="(min-width: 768px)">
    {% endif %}
    {% if data.src %}
      <img
        {% if noLazy %}
          src="{{ data.src }}"
        {% else %}
          class="lazyload"
          data-src="{{ data.src }}"
        {% endif %}
        {% if data.alt %}
          alt="{{ data.alt }}"
        {% endif %}
        {% if data.title %}
          title="{{ data.title }}"
        {% endif %}
        {{ attributes }}
      >
    {% endif %}
  </picture>
{% else %}
  <img
    {% if noLazy %}
      class="picture {{ class|default('') }}"
      src="{{ data.src }}"
    {% else %}
      class="picture lazyload {{ class|default('') }}"
      data-src="{{ data.src }}"
    {% endif %}
    {% if data.alt %}
      alt="{{ data.alt }}"
    {% endif %}
    {% if data.title %}
      title="{{ data.title }}"
    {% endif %}
    {{ attributes }}
  >
{% endif %}
